﻿Imports System.Drawing.Drawing2D

Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        Using tghe_pen As New Pen(Color.Blue, 0)
            ' Scale by a factor of 90.
            e.Graphics.ScaleTransform(90, 90, MatrixOrder.Append)

            ' Translate to center on the form.
            e.Graphics.TranslateTransform( _
                Me.ClientRectangle.Width \ 2, _
                Me.ClientRectangle.Height \ 2, _
                MatrixOrder.Append)

            For i As Integer = 5 To 90 Step 5
                ' Save the state.
                Dim graphics_state As GraphicsState = e.Graphics.Save()

                ' Rotate i degrees.
                e.Graphics.RotateTransform(i, MatrixOrder.Prepend)

                ' Draw a rectangle.
                e.Graphics.DrawRectangle(tghe_pen, -1, -1, 2, 2)

                ' Restore the saved state.
                e.Graphics.Restore(graphics_state)
            Next i
        End Using
    End Sub
End Class
